Subject: Re: [alpine-devel] APKBUILD for kernel modules

From: Martin Galvan <[email-masked]>
Date: Tue, 23 Jan 2018 12:34:15 -0300

Hi Shiz, thanks for the answer. I'm forwarding it to the mailing list.

2018-01-23 12:22 GMT-03:00 Shiz <[email-masked]>:
> Hi!
>
>> On 23 Jan 2018, at 15:26, Martin Galvan <[email-masked]> wrote:
>>
>> Is this done just to make sure the maintainer is aware of kernel
>> changes, and has to at least indicate so in the APKBUILD? What if we
>> wanted to distribute a module that worked on multiple kernel versions?
>
> Yes. Because of the nature how Linux kernel modules work, you can’t
> distribute a module that works on multiple versions — modules are explicitly
> versioned against the kernel by the Linux kernel module build system because
> the in-kernel ABI is unstable (the vermagic/modversion mechanism).
>
>> As a side note, I saw that the APKBUILDs look for
>> linux-$_flavor/APKBUILD in a relative path. I assume this means
>> they'll always run from wherever they're located in the aports tree,
>> but I saw that e.g.
>> https://git.alpinelinux.org/cgit/aports/tree/testing/ipt-netflow-hardened/APKBUILD
>> looks in testing for linux-$_flavor, which I didn't find. Does that
>> mean it'll always fail?
>
> This seems wrong, but I’m not sure.
>
>> Finally, I saw that for failure cases there seems to be a 'die'
>> function that looks like perl's. Where can I find its definition? Is
>> it documented anywhere?
>
> It’s defined in abuild: https://git.alpinelinux.org/cgit/abuild/tree/abuild.in#n103
>
> - Shiz

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---